#include <cstdio>
#include <algorithm>

using namespace std;

int a,b,c,d;

struct point
{
    int x,y;
    int id;
};

bool com(point a,point b)
{
    return a.y<b.y;
}

int n;
point t[5050];

int main()
{
    freopen("flojd.out","w",stdout);
    for (a=1; a<=5000; a++)
    for (b=1; b<=100000; b++)
    n*=12;
    printf("1\n2\n3");
    return 0;
    scanf("%d",&n);
    for (a=1; a<=n; a++)
    {
        scanf("%d%d",&t[a].x,&t[a].y);
        t[a].id=a;
    }
    sort(t+1,t+1+n,com);
}
